<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlRxIfStageMonConf_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlRxIfStageMonConf_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>RX IF stage monitoring configuration.  
 <a href="structrl_rx_if_stage_mon_conf__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_monitoring.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a38a1f475478534ba69594a6f14d658eb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a38a1f475478534ba69594a6f14d658eb"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rx_if_stage_mon_conf__t.html#a38a1f475478534ba69594a6f14d658eb">profileIndx</a></td></tr>
<tr class="memdesc:a38a1f475478534ba69594a6f14d658eb"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field indicates the profile Index for which this configuration applies. <br /></td></tr>
<tr class="separator:a38a1f475478534ba69594a6f14d658eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7be632f007a4e6d69f9421653e2419bb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7be632f007a4e6d69f9421653e2419bb"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rx_if_stage_mon_conf__t.html#a7be632f007a4e6d69f9421653e2419bb">reportMode</a></td></tr>
<tr class="memdesc:a7be632f007a4e6d69f9421653e2419bb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Value Definition <br />
 0 Report is sent every monitoring period without threshold check <br />
 1 Report is send only upon a failure (after checking for thresholds) <br />
 2 Report is sent every monitoring period with threshold check. <br />
. <br /></td></tr>
<tr class="separator:a7be632f007a4e6d69f9421653e2419bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6cb2fcab41d5dc115e79e5d911c0e281"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6cb2fcab41d5dc115e79e5d911c0e281"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rx_if_stage_mon_conf__t.html#a6cb2fcab41d5dc115e79e5d911c0e281">reserved0</a></td></tr>
<tr class="memdesc:a6cb2fcab41d5dc115e79e5d911c0e281"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a6cb2fcab41d5dc115e79e5d911c0e281"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80e36ba5f959b4b2ae540db6bdc629af"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a80e36ba5f959b4b2ae540db6bdc629af"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rx_if_stage_mon_conf__t.html#a80e36ba5f959b4b2ae540db6bdc629af">reserved1</a></td></tr>
<tr class="memdesc:a80e36ba5f959b4b2ae540db6bdc629af"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a80e36ba5f959b4b2ae540db6bdc629af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c179dead1518cd394e7069589d7972c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4c179dead1518cd394e7069589d7972c"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rx_if_stage_mon_conf__t.html#a4c179dead1518cd394e7069589d7972c">hpfCutoffErrThresh</a></td></tr>
<tr class="memdesc:a4c179dead1518cd394e7069589d7972c"><td class="mdescLeft">&#160;</td><td class="mdescRight">The absolute values of RX IF HPF cutoff percentage frequency errors are <br />
 compared against the corresponding thresholds given in this field. The <br />
 comparison results are part of the monitoring report message (Error bit is set <br />
 if the absolute value of the errors exceeds respective thresholds). <br />
 1 LSB = 1%, unsigned number <br />
 Valid range: TBD to 255 <br />
 Recommended value = TBD <br />
. <br /></td></tr>
<tr class="separator:a4c179dead1518cd394e7069589d7972c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16b721bbc9b6e33ab1e79a3e3ebb75b8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a16b721bbc9b6e33ab1e79a3e3ebb75b8"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rx_if_stage_mon_conf__t.html#a16b721bbc9b6e33ab1e79a3e3ebb75b8">lpfCutoffErrThresh</a></td></tr>
<tr class="memdesc:a16b721bbc9b6e33ab1e79a3e3ebb75b8"><td class="mdescLeft">&#160;</td><td class="mdescRight">The absolute values of RX IF LPF cutoff percentage frequency errors are compared <br />
 against the corresponding thresholds given in this field. The comparison <br />
 results are part of the monitoring report message (Error bit is set if the <br />
 absolute value of the errors exceeds respective thresholds). <br />
 1 LSB = 1%, unsigned number <br />
 Valid range: TBD to 255 <br />
 Recommended value = TBD <br />
. <br /></td></tr>
<tr class="separator:a16b721bbc9b6e33ab1e79a3e3ebb75b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a467ab485c90113ad9fb9eea8c38097c4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a467ab485c90113ad9fb9eea8c38097c4"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rx_if_stage_mon_conf__t.html#a467ab485c90113ad9fb9eea8c38097c4">ifaGainErrThresh</a></td></tr>
<tr class="memdesc:a467ab485c90113ad9fb9eea8c38097c4"><td class="mdescLeft">&#160;</td><td class="mdescRight">The absolute deviation of RX IFA Gain from the expected gain for each enabled RX <br />
 channel is compared against the thresholds given in this field. The comparison <br />
 result is part of the monitoring report message (Error bit is set if the <br />
 absolute <br />
 value of the errors exceeds respective thresholds). <br />
 1 LSB = 0.1dB, unsigned number <br />
 Valid range: TBD to 255 <br />
 Recommended value = TBD <br />
. <br /></td></tr>
<tr class="separator:a467ab485c90113ad9fb9eea8c38097c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a593405863fbeb9dc80f001c93470dcd5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a593405863fbeb9dc80f001c93470dcd5"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rx_if_stage_mon_conf__t.html#a593405863fbeb9dc80f001c93470dcd5">reserved2</a></td></tr>
<tr class="memdesc:a593405863fbeb9dc80f001c93470dcd5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a593405863fbeb9dc80f001c93470dcd5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>RX IF stage monitoring configuration. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_monitoring.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
